# Interface WormholeCore<N, P, C>

#### Type Parameters

- #### N extends Network

- #### P extends Platform

- #### C extends PlatformToChains<P>

#### Hierarchy

- WormholeCore

#### Implemented by

- CosmwasmWormholeCore
- EvmWormholeCore
- SolanaWormholeCore

- Defined in definitions/src/protocols/core.ts:8

#####
Index

### Methods

getMessageFee
parseTransaction
publishMessage
verifyMessage

## Methods

### getMessageFee

- getMessageFee(): Promise<bigint>

- #### Returns Promise<bigint>

  - Defined in definitions/src/protocols/core.ts:13

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  - Defined in definitions/src/protocols/core.ts:21

### publishMessage

- publishMessage(sender, message, nonce, consistencyLevel): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### message: string | Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in definitions/src/protocols/core.ts:14

### verifyMessage

- verifyMessage(sender, vaa): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in definitions/src/protocols/core.ts:20

Generated using TypeDoc